CsvUtil::CsvReadDataProviderFactory Class Reference

The read-only CSV data provider factory. More...

Inherits AbstractDataProviderFactory.

## Public Member Functions

Class | getClass ()
| Returns the class for the data provider object.
hash< DataProviderInfo > | getInfo ()
| Returns static provider information. More...
string | getName ()
| Returns the name of the data provider factory.

## Detailed Description

The read-only CSV data provider factory.

## Member Function Documentation

## getInfo()

hash<DataProviderInfo> CsvUtil::CsvReadDataProviderFactory::getInfo | ( |  | ) |

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes